# The initialization module: Classes are initialized and made
# available to Zope here

__doc__= """JPicture initialization module"""
__version__= '0.2'

import JPicture

def initialize(context):
    try: # to register the product.
        context.registerClass(JPicture.JPicture,
            constructors = (
                JPicture.manage_addJPictureForm,
                JPicture.manage_addJPicture),
            icon = 'jpicture.gif'
            )
        
    except: # if you can't register the product, tell someone.
        import traceback
        traceback.print_exc()
